Skip to navigation

Authenticate Bearer Token Post

View as MarkdownOpen in Claude

Authentication

AuthorizationBearer

Send Authorization: Bearer <token> when setting the HTTP header directly (for example, with curl). In a bearer-auth token field, supply only the raw Helix access token; the client adds the Bearer prefix.

Response

Successful Response
principalstring
token_kindenum
Allowed values:
emailstring or nullOptional
groupslist of stringsOptional
scopeslist of stringsOptional
jtistring or nullOptional
on_behalf_ofstring or nullOptional
on_behalf_of_emailstring or nullOptional
on_behalf_of_groupslist of stringsOptional

Errors

401
Unauthorized Error
500
Internal Server Error